## net-snmp 5.8+dfsg

=== debian/changelog ===
net-snmp (5.8+dfsg-5ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1880724). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch:
      Link libnetsnmptrapd against MYSQL_LIBS. Thanks to Adam
      Williamson <awilliam@redhat.com>.
      (Closes #886221, LP #1814254)
    - Fix build with mysql-8 (LP #1814270):
      + d/p/mysql8-replace-bool.patch: newer mysql dropped my_bool, use
        char instead.
    - Skip autofs entries when calling statfs to prevent autofs
      being mounted on snmpd startup (LP #1835818):
      + d/p/autofs-fix-a-recently-introduced-bug.patch
      + d/p/autofs-skip-autofs-entries.patch
    - d/p/fix-check-hr-filesys-autofs.patch:
      + On Linux getmntent() is available but getfsstat() not.
        Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
        check.
  * Dropped changes, incorporated by Debian:
    - d/p/lp1871307-log-once-proc-net-if_inet6-failure.patch (LP #1871307):
      + MIB-II: Only log once that opening /proc/net/if_inet6 failed
    - SECURITY UPDATE: Fix segmentation fault that happens when using the
      snmpv3 protocol with snmpbulkget. (LP #1877027)
      + d/p/move-securityStateRef-into-free_securityStateRef.patch:
        Consolidate the check of the securityStateRef pointer into the
        free_securityStateRef function.
      + d/p/prevent-snmpv3-bulkget-errors-double-free.patch:
        Prevent snmpv3 bulkget errors from becoming resulting in a
        double free.
      + d/p/fix-usmStateReference-free.patch:
        Fix typo on usm_free_usmStateReference from last patch.
      + d/p/unexport-struct-usmStateReference.patch:
        Unexport struct usmStateReference and to prevent ABI breakages,
        since it will be necessary to add a reference count to it.
      + d/p/introduce-refcount-usmStateReference.patch:
        Introduce refcount in the struct usmStateReference, and adjust
        code to properly use the field.
      + CVE-2019-20892

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 06 Aug 2020 11:42:13 -0400

net-snmp (5.8+dfsg-5) unstable; urgency=medium

  * Allow extend to be read-only Closes: #966544
  * Stop using mib_index files CVE-2020-15861 Closes: 966599

 -- Craig Small <csmall@debian.org>  Fri, 31 Jul 2020 20:29:41 +1000

net-snmp (5.8+dfsg-4) unstable; urgency=high

  [ Sergio Durigan Junior ]
  * Fix segmentation fault that happens when using the snmpv3
    protocol with snmpbulkget. (LP #1877027) (Debian Bug #963713)
    This is a rework of the patches introduced in the last release,
    to fix CVE-2019-20892.
    - d/p/move-securityStateRef-into-free_securityStateRef.patch:
      Consolidate the check of the securityStateRef pointer into the
      free_securityStateRef function.
    - d/p/prevent-snmpv3-bulkget-errors-double-free.patch:
      Prevent snmpv3 bulkget errors from becoming resulting in a
      double free.
    - d/p/fix-usmStateReference-free.patch:
      Fix typo on usm_free_usmStateReference from last patch.
    - d/p/unexport-struct-usmStateReference.patch:
      Unexport struct usmStateReference and to prevent ABI breakages,
      since it will be necessary to add a reference count to it.
    - d/p/introduce-refcount-usmStateReference.patch:
      Introduce refcount in the struct usmStateReference, and adjust
      code to properly use the field.
    - d/p/libsnmp-securitystateref: Rename to
      d/p/move-securityStateRef-into-free_securityStateRef.
    - d/p/doublefree_snmpusm: Rename to
      d/p/prevent-snmpv3-bulkget-errors-double-free.patch.

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Craig Small ]
  * snmpd: Disable extend mib Closes: #965166
  * Don't ignore tmpfs filesystems
  * snmpd: Command line uid/gid overrides configuration file
  * Two previous fix CVE-2020-15862 and Closes: #685877

 -- Craig Small <csmall@debian.org>  Thu, 23 Jul 2020 21:35:08 +1000

net-snmp (5.8+dfsg-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #944953)
    + Build-Depends: perl-xs-dev for building a perl extension.
    + cross.patch: Detect mysql using pkg-config.

  [ Craig Small ]
  * Log ipv6 error once Closes: #944336
  * Move net-snmp-create-v3-user to snmpd Closes: #953043
  * snmpd: Quiet on access errors to mounts Closes: #792832
  * snmpd: swinst_apt: Don't use dpkg directories Closes: #905668
  * libsnmp: Fix double free crash CVE-2019-20892 Closes: #963713
  * Enable TLS and DTLS transports Closes: #964054

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 5.2.2-1.

 -- Craig Small <csmall@debian.org>  Thu, 02 Jul 2020 13:38:58 +1000

net-snmp (5.8+dfsg-2ubuntu3) groovy; urgency=medium

  * SECURITY UPDATE: Fix segmentation fault that happens when using the
    snmpv3 protocol with snmpbulkget. (LP: #1877027)
    - d/p/move-securityStateRef-into-free_securityStateRef.patch:
      Consolidate the check of the securityStateRef pointer into the
      free_securityStateRef function.
    - d/p/prevent-snmpv3-bulkget-errors-double-free.patch:
      Prevent snmpv3 bulkget errors from becoming resulting in a
      double free.
    - d/p/fix-usmStateReference-free.patch:
      Fix typo on usm_free_usmStateReference from last patch.
    - d/p/unexport-struct-usmStateReference.patch:
      Unexport struct usmStateReference and to prevent ABI breakages,
      since it will be necessary to add a reference count to it.
    - d/p/introduce-refcount-usmStateReference.patch:
      Introduce refcount in the struct usmStateReference, and adjust
      code to properly use the field.
    - CVE-2019-20892

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 23 Jun 2020 14:37:42 -0400

net-snmp (5.8+dfsg-2ubuntu2) focal; urgency=medium


