=== debian/control ===
Source: net-snmp
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
Uploaders: Craig Small <csmall@debian.org>,
 Thomas Anders <tanders@users.sourceforge.net>,
 Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper-compat (= 12),
 libtool, libwrap0-dev, libssl-dev, perl:any (>=5.8), perl-xs-dev,
 autoconf, automake, debianutils (>=1.13.1),
 bash (>=2.05), findutils (>=4.1.20), procps,
 pkg-config,
 libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
 libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
 libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 default-libmysqlclient-dev, libpci-dev, dh-apport
Build-Conflicts: libsnmp-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
Vcs-Browser: https://salsa.debian.org/debian/net-snmp
Homepage: http://net-snmp.sourceforge.net/

Package: snmpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
Breaks: libsnmp-dev (<< 5.8+dfsg-3)
Replaces: libsnmp-dev (<< 5.8+dfsg-3)
Suggests: snmptrapd
Description: SNMP (Simple Network Management Protocol) agents
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP agent is a daemon which listens for incoming SNMP
 requests from clients and provides responses.

Package: snmptrapd
Architecture: any
Recommends: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
Breaks: snmp (<< 5.7.3+dfsg-2)
Replaces: snmp (<< 5.7.3+dfsg-2)
Description: Net-SNMP notification receiver
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 snmptrapd is an SNMP application (daemon) that receives and logs SNMP TRAP
 and INFORM messages.

Package: snmp
Architecture: any
Recommends: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base (>= 5.7.3+dfsg-5)
Description: SNMP (Simple Network Management Protocol) applications
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP applications are a collection of command line clients
 for issuing SNMP requests to agents.

Package: libsnmp-base
Section: libs
Architecture: all
Replaces: snmp (<< 5.7.3+dfsg-5)
Breaks: snmp (<< 5.7.3+dfsg-5)
Depends: ${misc:Depends}
Suggests: snmp-mibs-downloader
Multi-Arch: foreign
Description: SNMP configuration script, MIBs and documentation
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package includes documentation and MIBs (Management Information Bases)
 for the SNMP libraries, agents and applications. MIBs contain a formal
 description of the data that can be managed using SNMP and applications.
 .
 NOTE: If you want the OIDs (Object Identifiers) to resolve to their text
 description, you need to activate the non-free repository and install the
 "snmp-mibs-downloader" package.

Package: libsnmp35
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
Description: SNMP (Simple Network Management Protocol) library
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP library contains common functions for the construction,
 sending, receiving, decoding, and manipulation of the SNMP requests
 and responses.

Package: libsnmp35-dbg
Section: debug
Architecture: any
Depends: libsnmp35 (=${binary:Version}), ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) library debug
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package contains the debug symbols for the Net-SNMP libraries.

Package: libsnmp-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: libc6-dev, libsnmp35 (=${binary:Version}), libwrap0-dev, libssl-dev, procps,
         libkvm-dev [kfreebsd-any], libsensors-dev [linux-any], ${misc:Depends},
         libpci-dev
Description: SNMP (Simple Network Management Protocol) development files
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP development files include the library headers, static
 libraries, net-snmp-config scripts and documentation needed for development
 of custom SNMP applications.

Package: libsnmp-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) Perl5 support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Perl5 support files provide the Perl functions for
 integration of SNMP into applications written in Perl.

Package: tkmib
Architecture: all
Depends: libsnmp-perl (>=${source:Version}), perl-tk, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) MIB browser
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP MIB (Management Information Base) Browser provides a
 graphical frontend for the Net-SNMP tools. It can be used to browse
 the MIB tree and interactively send requests to SNMP agents.
