## net-snmp 5.8.0-cl4.3.1u8

=== debian/changelog ===
net-snmp (5.8.0-cl4.3.1u8) RELEASED; urgency=low

  [ dev-support ]
  * Version number for Cumulus Linux 4.3.0

  [ root ]
  * new build for 4.3.1 from original hash
    d616b85e37fd24cac76a08795d8c9bd64455e3b4

 -- root <root@3da22e72fb7c>  Thu, 30 Jun 2022 00:47:14 +0000

net-snmp (5.8.0-cl4.2.1+u1) UNRELEASED; urgency=low

  * Re-enable NET-SNMP-EXTEND-MIB (which is read-only now).

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 30 Dec 2020 08:34:25 -0800

net-snmp (5.8.0-cl4.2.1u1) RELEASED; urgency=low

  * Version number for Cumulus Linux 4.2.1.

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 25 Aug 2020 12:45:00 -0700

net-snmp (5.8.0-cl4.2.0+u2) UNRELEASED; urgency=low

  * CVE-2019-20892: Upstream commits to avoid double free in SNMPv3 GetBulk
    request.

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 18 Aug 2020 16:03:00 -0700

net-snmp (5.8.0-cl4.2.0+u1) UNRELEASED; urgency=low

  * CVE-2020-15862: make NET-SNMP-EXTEND-MIB read-only (still disabled).

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 17 Aug 2020 10:11:00 -0700

net-snmp (5.8.0-cl4u9) UNRELEASED; urgency=low

  * CVE-2020-15862: disable NET-SNMP-EXTEND-MIB support.

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 30 Jul 2020 13:09:00 -0700

net-snmp (5.8.0-cl4u8) RELEASED; urgency=low

  * New version number for CL 4.2
  * Closes: CM-28189 Fix for Permission denied error when statfs is executed

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 03 Jun 2020 00:47:00 -0800

net-snmp (5.8.0-cl4u7) RELEASED; urgency=low

  * New version number for CL 4.1
  * Closes: CM-27292 Add configurable upper limit for interfaces in IF-MIB
  * Closes: CM-27089 Change snmpd defaults to remove caching-disabling and
                     include default iface prefixes

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 02 Mar 2020 14:30:41 -0800

net-snmp (5.8.0-cl4u6) RELEASED; urgency=low

  * Update: Merged in latest upstream V5-8-patches for CL 4.0 Beta 4
  * Closes: CM-25447: trap destination in VRF broken
  * Closes: CM-23016: on restart frr logs dev/kmem: Permission denied
  * Closes: CM-25718: IF-MIB counters showing 32 bits instead of 64 bits

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 01 Oct 2019 14:30:41 -0800

net-snmp (5.8.0-cl4u5) RELEASED; urgency=low

  * Update: Merged in latest upstream V5-8-patches for CL 4.0 Beta 3
  * Closes: CM-25079: Crash in agentx code when bgpd dies or is slow
  * Closes: CM-25432: Crash in freeing securityStateRef when SL1 runs
                      discovery.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 31 Jul 2019 14:30:41 -0800

net-snmp (5.8.0-cl4u4) RELEASED; urgency=low

  * Update: Merged in latest upstream V5-8-patches for CL 4.0 Beta 2

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 21 Jun 2019 14:30:41 -0800

net-snmp (5.8.0-cl4u3) RELEASED; urgency=low

  * Update: Merged in latest upstream V5-8-patches to 9f4af8c42d5

 -- dev-support <dev-support@cumulusnetworks.com>  Sun, 21 Apr 2019 14:30:41 -0800

net-snmp (5.8.0-cl3u10) RELEASED; urgency=low

  * Update: Merged in latest upstream V5-8-patches
  * Closes: CM-24315 and other memory related core dumps fixed upstream
  * Closes: CM-23789: SNMPv3 bulkget double free core dumps

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 17 Apr 2019 14:30:41 -0800

net-snmp (5.8.0-cl3u9) RELEASED; urgency=low

  * Update: Merged in latest upstream V5-8-patches

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 05 Mar 2019 14:30:41 -0800

net-snmp (5.8.0-cl3u8) RELEASED; urgency=low

  * Update: Merged in latest upstream V5-8-patches
  * Closes: CM-22996 CM-23109: Pick up upstream VRF changes

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 22 Jan 2019 14:30:41 -0800

net-snmp (5.8.0-cl4u1) RELEASED; urgency=low

  * New version for CL 4.0

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 08 Oct 2018 12:12:12 -0400

net-snmp (5.8.0-cl3u7) RELEASED; urgency=low

  * Update: Merged in latest upstream V5-8-patches
  * Closes: CM-22662: Debian Security Advisory DSA-4314 (CVE-2018-18065
            This was patched as part of CL 3.4 back on Aug 24, 2017

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 29 Aug 2018 12:12:12 -0400

net-snmp (5.7.3-cl3u6) RELEASED; urgency=low

  * Update: Merged in latest upstream V5-7-patches March 5, 2018 (6533b51a)
  * Closes: CM-20416: Reduce level of LOG_ERR message about truncating integer
            after 10 messages logged.
  * Closes: CM-17169: Add native VRF support in snmpd
  * Closes: CM-20272: Debian Security Advisory DSA-4154-1 (CVE-2015-5621,
            CVE-2018-1000116) (This was patched as part of CL 3.0 back on May 8, 2016)

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 11 Apr 2018 12:12:12 -0400

net-snmp (5.7.3-cl3u5) RELEASED; urgency=low

  * Update: Merged in latest V5-7-patches as of October 19, 2017.

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 27 Nov 2017 12:12:12 -0400

net-snmp (5.7.3-cl3u4) RELEASED; urgency=low

  * Update: Merged in latest V5-7-patches as of April 24, 2017.
  * Closes: CM-17107: SNMP request not replied (silent drop) if requests are
            received on multiple interfaces

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 14 Jul 2017 12:12:12 -0400

net-snmp (5.7.3-cl3u3) RELEASED; urgency=low

  * Closes: CM-12765: (upstream #2693) snmpd hung. snmpd becomes unresponsive with high CPU

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 10 Oct 2016 12:12:12 -0400

net-snmp (5.7.3-cl3u2) RELEASED; urgency=low

  * Closes: CM-11897: pull in net-snmp upstream patches to d28eefcf4 from V5-7-patches

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 28 Jul 2016 17:01:40 -0400

net-snmp (5.7.3-cl3u1) RELEASED; urgency=medium

  * Initial Cumulus Networks for CL 3.0 

 -- dev-support <dev-support@cumulusnetworks.com>  Sun, 08 May 2016 22:57:03 -0700
