=== debian/control ===
Source: net-snmp
Section: net
Priority: optional
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Build-Depends: debhelper (>= 9), libtool, libwrap0-dev, libssl-dev (>> 0.9.8), perl (>=5.8), libperl-dev,
 python-all (>= 2.6.6-3~), python-setuptools (>=0.6b3), python2.7-dev,
 autoconf, automake, autotools-dev, debianutils (>=1.13.1), dh-autoreconf,
 bash (>=2.05), findutils (>=4.1.20), git, procps, 
 libbsd-dev [kfreebsd-i386 kfreebsd-amd64], 
 libkvm-dev [kfreebsd-i386 kfreebsd-amd64], 
 libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 default-libmysqlclient-dev, libpci-dev, dh-systemd
Build-Conflicts: libsnmp-dev
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-net-snmp/pkg-net-snmp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-net-snmp/pkg-net-snmp.git
XS-Python-Version: 2.7
Homepage: http://net-snmp.sourceforge.net/
XS-Build-Source: True
XS-Cumulus-Valid-Arch: amd64 armel
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: snmpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
Suggests: snmptrapd
Description: SNMP (Simple Network Management Protocol) agents
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP agent is a daemon which listens for incoming SNMP
 requests from clients and provides responses.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: snmpd-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
Description: SNMP (Simple Network Management Protocol) agents
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP agent is a daemon which listens for incoming SNMP
 requests from clients and provides responses.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: snmptrapd
Architecture: any
Recommends: perl-modules
Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
Conflicts: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.2.1~dfsg-1)
Breaks: snmpd (<< 5.7.2.1~dfsg-1)
Replaces: snmp (<< 5.7.2.1~dfsg-1)
Description: Net-SNMP notification receiver
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 snmptrapd is an SNMP application (daemon) that receives and logs SNMP TRAP
 and INFORM messages.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: snmp
Architecture: any
Recommends: perl-modules
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
Description: SNMP (Simple Network Management Protocol) applications
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients. 
 .
 The Net-SNMP applications are a collection of command line clients
 for issuing SNMP requests to agents.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: libsnmp-base
Section: libs
Architecture: all
Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp15 (<< 5.7.2~dfsg-5)
Conflicts: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp30 (<< 5.7.2~dfsg-5)
Depends: ${misc:Depends}
Suggests: snmp-mibs-downloader
Multi-Arch: foreign
Description: SNMP configuration script, MIBs and documentation
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package includes net-snmp-config scripts, documentation and MIBs
 (Management Information Bases) for the SNMP libraries, agents and
 applications. MIBs contain a formal description of the data that can be
 managed using SNMP and applications.
 .
 NOTE: If you want the OIDs (Object Identifiers) to resolve to their text
 description, you need to activate the non-free repository and install the
 "snmp-mibs-downloader" package.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: libsnmp35
Section: libs
Architecture: any
Replaces: libsnmp-base (<< 5.4.2.1~dfsg-4), snmp (<< 5.4.3~dfsg-1),
          libsnmp30 (<< 5.8.0-cl3u8~)
Conflicts: libsnmp30 (<< 5.8.0-cl3u8~)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
Description: SNMP (Simple Network Management Protocol) library
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP library contains common functions for the construction,
 sending, receiving, decoding, and manipulation of the SNMP requests
 and responses.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: libsnmp35-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libsnmp35 (=${binary:Version}), ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) library debug
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package contains the debug symbols for the Net-SNMP libraries.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: libsnmp-dev
Section: libdevel
Architecture: any
Replaces: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg), libsnmp-base (<< 5.7.2~dfsg-8.1~)
Provides: libsnmp9-dev
Conflicts: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
Breaks: libsnmp-base (<< 5.7.2~dfsg-8.1~)
Depends: libc6-dev, libwrap0-dev, libssl-dev, procps,
         libkvm-dev [kfreebsd-any], libsensors4-dev [linux-any], ${misc:Depends},
         libpci-dev, libsnmp35 (=${binary:Version})
Description: SNMP (Simple Network Management Protocol) development files
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP development files include the library headers, static
 libraries, and documentation needed for development of custom SNMP
 applications.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: libsnmp-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) Perl5 support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Perl5 support files provide the Perl functions for
 integration of SNMP into applications written in Perl.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: python-netsnmp
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libsnmp-python
Replaces: libsnmp-python
Provides: libsnmp-python, ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: SNMP (Simple Network Management Protocol) Python support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Python support files provide the Python functions for
 integration of SNMP into applications written in Python.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4

Package: libsnmp30
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) library (transitional package)
 A previous release of this package mistakenly shipped version 35
 libsnmp shared objects without updating the package name to libsnmp35
 to reflect this change.  This creates a problem as the now properly
 renamed libsnmp35 package cannot be installed at the same time as the
 broken libsnmp30 package, which still exists on some systems.
 .
 As libsnmp30 is no longer needed anywhere, this is simply a dummy
 package to allow systems with libsnmp30 to upgrade to libsnmp35
 despite those two packages having shared an install path at one point
 in time.
XBCS-Vcs-Hash: d616b85e37fd24cac76a08795d8c9bd64455e3b4
